if(!dojo._hasResource["com.ibm.mashups.builder.model.Page"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mashups.builder.model.Page"] = true;
dojo.provide("com.ibm.mashups.builder.model.Page" );

/**
 * This interface defines builder runtime page operations.
 * Usage: var page = com.ibm.mashups.builder.model.Factory.getRuntimeModel().getCurrentPage();
* @ibm-module Builder
 */
dojo.declare( "com.ibm.mashups.builder.model.Page", null, {

    /**
     * Returns builder runtime page data changed or not.
     * @ibm-api
     * @type Boolean
     * @return {Boolean} The boolean value of whether page data is dirty, if dirty, return true, if not dirty, return false. never <code>null</code>
     */
    isDirty:function(){
    	return true;
    },

    /**
     * Set builder runtime page data status.
     * @ibm-spi
     * @param {Boolean} _dirty boolean value to indicate whether page data is dirty or not, must not be <code>null</code>. 
     * @type void
     */
    setDirty:function(_dirty){
    },

    /**
     * Returns builder runtime page id.
     * @ibm-api
     * @type  String
     * @return {String} runtime page id, never <code>null</code>
     */
    getID:function(){
    	return "";
    },

    /**
     * Set builder runtime page id
     * @ibm-spi
     * @param {String} _pid the page id to set, must not be <code>null</code>. 
     * @type void
     */
    setID:function(_pid){
    },
    
    /**
     * Returns builder runtime page mode.
     * @ibm-api
     * @type  String
     * @return {String} runtime page mode, never <code>null</code>
     */
    getPageMode:function(){
    	return "";
    },

    /**
     * Set builder runtime page mode
     * @ibm-spi
     * @param {String} _pageMode the page mode to set, must not be <code>null</code>. 
     * @type void
     */
    setPageMode:function(_pageMode){
    },
    
    /**
     * Set auto-wiring enablement status of current page
     * @ibm-api
     * @param {Boolean} _isEnabled true/false 
     * @type void
     */
    setAutoWiringEnablement:function(_isEnabled) {
    	
    },
	
	/**
     * Return whether auto-wiring is enabled for this page
     * @ibm-api
     * @deprecated use isAutoWiringEnabled() instead.
     * @type Boolean 
     * @return  return true/false, never <code>null</code>
     */
    getAutoWiringEnablement:function() {
		
    },
	
	/**
     * Return whether auto-wiring is enabled for this page
     * @ibm-api
     * @type Boolean 
     * @return  return true/false, never <code>null</code>
     */
	isAutoWiringEnabled:function(){
		
	}
});

}
