/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.iwidget.model.EventModel");


/**
 * @private
 * @ibm-module iWidget
 */
dojo.declare("com.ibm.mashups.iwidget.model.EventModel",null,{

	// FIXME What the heck is this doing in the API?
 constructor:function (wrapper) { 
	  this.wrapper = wrapper;
 }, 
/**
It returns event specified by given id. It returns null if event is not found.<br/>
@param{String} id event id. Must not be <code>null</code>.
@returns{com.ibm.mashups.iwidget.IEventDescription} returns an event description that matches event id. 
*/	 
 find:function(id){
     return null;
 },
/**
It returns true if event exists. It returns false if event doesn't exist.<br/>
@param{String} id event id. Must not be <code>null</code>.
@type Boolean
@returns{Boolean} returns true if event exists. It returns false if event doesn't exist.
*/	 
 eventExists:function(id){
     return false;		
 },
/**
This method simply creates a new event definition. <br/>
It returns true if new event is created successfully. It returns false if it fails to create new event.<br/>
@param{com.ibm.mashups.iwidget.IEventDescription} eventDesc IEventDescription object. Must not be <code>null</code>.
@type Boolean
@returns{Boolean} returns true if new event is created successfully. It returns false if it fails to create new event.
*/	
 createEvent:function(eventDesc){
 	 return null;
 },
/**
This method removes an existing event description.It returns true if event is removed successfully or event doesn't exist, otherwise it returns false. <br/>
@param{String} eventName event name. Must not be <code>null</code>.
@type Boolean
@returns{Boolean} returns true if event is removed successfully or event doesn't exist, otherwise it returns false. 
*/ 
 removeEvent:function(eventName){
     
 },
/**
This method verifies if an update on an event is really required as it may be the same that is getting set again.<br/>
It returns true if the event is different and an update is required, otherwise false.<br/>
@param{com.ibm.mashups.iwidget.IEventDescription} eventDesc IEventDescription object. Must not be <code>null</code>.
@type Boolean
@returns{Boolean} returns true if the event is different and an update is required, otherwise false.
*/   
 isUpdateEventRequired:function(eventDesc){
    
 },
/**
This method updates an existing event definition. <br/>
It returns true if event is updated successfully. It returns false if it fails to update existing event.<br/>
@param{com.ibm.mashups.iwidget.IEventDescription} eventDesc IEventDescription object. Must not be <code>null</code>.
@type Boolean
@returns{Boolean} returns true if event is updated successfully. It returns false if it fails to update existing event.
*/	 
 updateEvent:function(eventDesc){
 	
 },
/**
The query method which takes a javascript object as condition, it returns a list of event descriptions which matches the given condition. <br/>
The scope of the events is limited to this iwidget instance. The returning result need to match all the conditions that's given. <br/>
For exampe, if a condition object looks like this: {type:'text', isHandled:true}<br/>
This method will return all the handled event description whose payload is text.<br/>
If no condition is provided, this method will return all the events. It returns null if no event is found for a given condition.Only predefined fields or non localized attributes should be used to define condition.
@param{Object} condition  JSON object that contains the condition. Must not be <code>null</code>.
@type com.ibm.mashups.iwidget.IEventDescription
@returns{com.ibm.mashups.iwidget.IEventDescription} returns an array of event description that matches the condition. It returns null if no event is found for a given condition. 
*/ 
 getEvents:function(condition){
  
 }

});


